#
# spec file for package agama-auto
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           agama-auto
#               This will be set by osc services, that will run after this.
Version:        9+567
Release:        2.1
Summary:        Agama auto-installation service
License:        GPL-2.0-only
URL:            https://github.com/opensuse/agama
Source0:        agama.tar
BuildArch:      noarch
Requires:       agama-cli

%description
Agama is a service-based Linux installer. This package contains the
auto-installation service.

%prep
%autosetup -a0 -n agama

%install
install -D -d -m 0755 %{buildroot}%{_bindir}
install -m 0755 %{_builddir}/agama/bin/agama-auto %{buildroot}%{_bindir}/agama-auto
install -D -m 0644 %{_builddir}/agama/systemd/agama-auto.service %{buildroot}%{_unitdir}/agama-auto.service

%pre
%service_add_pre agama-auto.service

%post
%service_add_post agama-auto.service

%preun
%service_del_preun agama-auto.service

%postun
%service_del_preun agama-auto.service

%files
%doc README.md
%license LICENSE
%{_bindir}/agama-auto
%{_unitdir}/agama-auto.service

%changelog
* Thu Aug 15 2024 Josef Reidinger <jreidinger@suse.com>
- change agama-auto systemd service depedencies to reflect changes
  in agama CLI communication and ensure that it runs when
  agama-auto runs
  (gh#openSUSE/agama#1539)
* Wed Jul  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Bring back the service scriptlets but using the right service
  name (gh#openSUSE/agama#1433).
* Wed Jul  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Add the %%changelog section to the spec file
  (gh#openSUSE/agama#1431).
* Wed Jul  3 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Remove scriptlets section from the spec file
  (gh#openSUSE/agama#1430).
* Thu Jun 27 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Version 9
* Fri May 24 2024 Imobach Gonzalez Sosa <igonzalezsosa@suse.com>
- Initial package containing the agama-auto systemd service
  (gh#openSUSE/agama#1252).
